kshowmail: OptionDlg Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptionDlg Class Reference

Inheritance diagram for OptionDlg:

List of all members.

## Public Slots
virtual void | slotExternalProgTest ()
virtual void | slotAccountActivated (int)
virtual void | slotButtonAddClicked ()
virtual void | slotButtonCopyClicked ()
virtual void | slotButtonDeleteClicked ()
virtual void | slotButtonEditClicked ()
virtual void | slotButtonOkClicked ()
virtual void | slotButtonSelectSoundFile ()
virtual void | slotMinimizeNoMailClicked ()
virtual void | slotSavePasswordToggled ()
virtual void | slotSoundTest ()
virtual void | slotTerminateNoMailClicked ()
## Public Member Functions
| OptionDlg (QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags fl=0)
| ~OptionDlg ()
## Public Attributes
QGroupBox * | QGroupBox_1
QLabel * | QLabel_1
QPushButton * | m_ButtonDelete
QPushButton * | m_ButtonCopy
QPushButton * | m_ButtonEdit
QPushButton * | m_ButtonAdd
QComboBox * | m_ComboAccount
QTabWidget * | TabWidget2
QWidget * | tab
QCheckBox * | m_CheckSavePassword
QCheckBox * | m_CheckStartMinimized
QCheckBox * | m_CheckConfirmDelete
QLabel * | QLabel_2
QLabel * | QLabel_3
QLabel * | QLabel_6
QLabel * | QLabel_4
QSpinBox * | m_SpinPop3Timer
QSpinBox * | m_SpinInitTimer
QSpinBox * | m_SpinIntervalTimer
QSpinBox * | m_SpinMaxSize
QCheckBox * | _checkConfirmClose
QCheckBox * | m_CheckKeepNewMail
QCheckBox * | m_CheckCloseMinimizes
QCheckBox * | m_CheckMinimizeToTray
QWidget * | tab_2
QGroupBox * | GroupBox3
QCheckBox * | m_CheckActive
QCheckBox * | m_CheckAccount1
QCheckBox * | m_CheckServer
QCheckBox * | m_CheckUser
QCheckBox * | m_CheckMessages
QCheckBox * | m_CheckSize1
QGroupBox * | GroupBox2
QCheckBox * | m_CheckNumber
QCheckBox * | m_CheckAccount2
QCheckBox * | m_CheckFrom
QCheckBox * | m_CheckTo
QCheckBox * | m_CheckSubject
QCheckBox * | m_CheckDate
QCheckBox * | m_CheckSize2
QCheckBox * | m_CheckContent
QCheckBox * | m_CheckState
QGroupBox * | groupBox4
QCheckBox * | m_checkHTML
QWidget * | tab_3
QCheckBox * | m_CheckMinimizeNoMail
QCheckBox * | m_CheckTerminateNoMail
QWidget * | tab_4
QCheckBox * | m_CheckBeep
QCheckBox * | m_CheckShowMainWindow
QCheckBox * | m_CheckSound
QCheckBox * | m_CheckExternalProg
QPushButton * | m_ButtonSelectSoundFile
QPushButton * | m_ButtonSoundTest
QLabel * | QLabel_5
QComboBox * | m_ComboExternalProg
QPushButton * | m_ButtonExternalProgTest
QLineEdit * | m_EditSoundFile
QCheckBox * | m_CheckShowMessagebox
QPushButton * | m_ButtonOk
QPushButton * | m_ButtonCancel
## Protected Slots
virtual void | languageChange ()
## Protected Attributes
QVBoxLayout * | OptionDlgLayout
QGridLayout * | QGroupBox_1Layout
QSpacerItem * | spacer4
QSpacerItem * | spacer2
QVBoxLayout * | layout3
QGridLayout * | tabLayout
QHBoxLayout * | tabLayout_2
QVBoxLayout * | GroupBox3Layout
QVBoxLayout * | GroupBox2Layout
QVBoxLayout * | groupBox4Layout
QVBoxLayout * | tabLayout_3
QGridLayout * | tabLayout_4
QHBoxLayout * | layout2
QSpacerItem * | Spacer70

## Detailed Description

Definition at line 30 of file OptionDlg.h.

The documentation for this class was generated from the following files:

- kshowmail/OptionDlg.h
- kshowmail/OptionDlg.cpp